Bug 1732289 (CVE-2019-12977) - CVE-2019-12977 imagemagick: use of uninitialised value in function WriteJP2Image in coders/jp2.c
Summary: CVE-2019-12977 imagemagick: use of uninitialised value in function WriteJP2Im...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2019-12977
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1732290
Blocks: 1732296
TreeView+ depends on / blocked
 
Reported: 2019-07-23 06:32 UTC by Dhananjay Arunesh
Modified: 2019-09-29 15:18 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-25 13:18:19 UTC


Attachments (Terms of Use)

Description Dhananjay Arunesh 2019-07-23 06:32:29 UTC
A vulnerability was found in ImageMagick 7.0.8-34 has a "use of uninitialized value" vulnerability in the
WriteJP2Image function in coders/jp2.c.

Reference:
https://github.com/ImageMagick/ImageMagick/issues/1518

Comment 1 Dhananjay Arunesh 2019-07-23 06:32:42 UTC
Created ImageMagick tracking bugs for this issue:

Affects: fedora-all [bug 1732290]

Comment 3 Product Security DevOps Team 2019-07-25 13:18:19 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-12977


Note You need to log in before you can comment on or make changes to this bug.